######################################################
# INV.TCL (c) 2002 David B. Kratter (BlackJac@EFNet) #
######################################################

# History #
# 1.3.20020303.1 # Check if the user is already on the channel.
# 1.2.20020228.1 # Inform the user if there is a channel key.
# 1.1.20020227.1 # Inform the user if the bot is not on the channel or not opped.
# 1.0.20020226.1 # Initial release.

# Simple invite script that'll let users get invited with "/msg <bot> inv".

# IMPORTANT: The bot can only be on one channel for this script to work properly.

# [~] ---------------------------------------------------------------------- [~] #

# For which channel should this work? (Leaving it at "[channels]" is recommended.)
set chan [channels]
# Should the bot publically announce when a user is invited? (0 = no, 1 = yes)
set announce "0"

# [~] --------------- Do not modify anything below this line --------------- [~] #

bind msg o inv msg_inv

proc msg_inv {nick uhost hand arg} {
  global chan announce
  if {[llength $chan] == 1} {
    if {[botonchan $chan] == 1} {
      if {[botisop $chan] == 1} {
        if {![onchan $nick $chan]} {
          if {[string match *k* [lindex [getchanmode $chan] 0]] == 1} {
            putmsg $nick "Channel key for $chan: [lindex [getchanmode $chan] 1]"
          }
          putserv "INVITE $nick :$chan"
          if {$announce == 1} {
            putchan $chan "$nick invited to $chan."
          }
          putloglev * $chan "Invited $hand ($uhost) to $chan."
          return 0
        } {
          putloglev * $chan "$hand ($uhost) requsted invite but is already on $chan."
          return 0
        }
      } {
        putmsg $nick "I am on $chan but not currently opped."
        return 0
      }
    } {
      putmsg $nick "I am not currently on $chan."
      return 0
    }
  } {
    putlog "ERROR (inv.tcl): bot must be on only a single channel!"
    return 0
  }
}

putlog "INV.TCL (c) 2002 David B. Kratter (BlackJac@EFNet)"
